[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TBookmarkedRecordEnumerator.Options

Controls the actions performed when Bookmarks are visited.

## Declaration

Source position: dbgrids.pas line 155

`public property TBookmarkedRecordEnumerator.Options : TBookmarkedRecordEnumeratorOptions read fOptions write fOptions;`

## Description

Options is a TBookmarkedRecordEnumeratorOptions property which controls the actions performed when Bookmarks in the enumerator are visited. Values are included in the set type to enable the corresponding feature in the enumerator.

See TBookmarkedRecordEnumeratorOptions for more information about option values and their meanings.

The initial values in the set are passed as parameters to the Create method. Values stored in Options are examined in methods including Destroy and MoveNext.